Fork me on GitHub

Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 45
Number of unique artifacts (NOA): 56
Number of version-conflicting artifacts (NOC): 4
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 80 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.4
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.4:compile - omitted for conflict with 1.5.5)

1.5.5
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    +- org.apache.maven:maven-core:jar:3.0:compile
    |  +- org.apache.maven:maven-settings-builder:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 1.5.4)
    |  +- org.apache.maven:maven-model-builder:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 1.5.4)
    |  +- org.apache.maven:maven-aether-provider:jar:3.0:runtime
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:runtime - omitted for conflict with 1.5.4)
    |  \- org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile
    \- org.apache.maven:maven-compat:jar:3.0:test
       \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for duplicate)

org.codehaus.plexus:plexus-io

[Error]
2.0.4
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:2.1:test
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
          \- (org.codehaus.plexus:plexus-io:jar:2.0.4:test - omitted for conflict with 2.6.1)

2.6.1
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.codehaus.plexus:plexus-io:jar:2.6.1:compile

org.codehaus.plexus:plexus-utils

[Error]
1.0.4
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.codehaus.plexus:plexus-resources:jar:1.0.1:compile
       \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:compile - omitted for conflict with 3.0.22)

1.4.2
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.apache.maven:maven-compat:jar:3.0:test
       \- org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:test
          \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:test - omitted for conflict with 3.0.22)

1.5.5
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.apache.maven:maven-core:jar:3.0:compile
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 2.0.4)

2.0.4
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    +- org.apache.maven:maven-plugin-api:jar:3.0:compile
    |  +- org.apache.maven:maven-model:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-artifact:jar:3.0:compile
    |     \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:3.0:compile
    |  +- org.apache.maven:maven-settings:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-settings-builder:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-repository-metadata:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for conflict with 3.0.22)
    \- org.apache.maven:maven-compat:jar:3.0:test
       \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:test - omitted for conflict with 3.0.22)

2.0.5
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:2.0.5:compile - omitted for conflict with 2.0.4)

3.0.20
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.codehaus.plexus:plexus-io:jar:2.6.1:compile
       \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for conflict with 3.0.22)

3.0.22
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.codehaus.plexus:plexus-utils:jar:3.0.22:compile

3.0.7
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:2.1:test
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.7:test - omitted for conflict with 3.0.22)

3.0.8
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- org.codehaus.plexus:plexus-resources:jar:1.0.1:compile
       \- (org.codehaus.plexus:plexus-utils:jar:3.0.8:compile - omitted for conflict with 3.0.22)

xml-apis:xml-apis

[Error]
1.0.b2
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    \- com.componentcorp.xml.validation:relaxng-compact:jar:0.9.4:test
       \- com.thaiopensource:jing:jar:20091111:test
          \- (xml-apis:xml-apis:jar:1.0.b2:test - omitted for conflict with 1.3.04)

1.3.04
    org.codehaus.mojo:xml-maven-plugin:maven-plugin:1.0.2
    +- xalan:xalan:jar:2.7.1:test
    |  \- xalan:serializer:jar:2.7.1:test
    |     \- xml-apis:xml-apis:jar:1.3.04:test
    \- com.componentcorp.xml.validation:relaxng-compact:jar:0.9.4:test
       \- com.thaiopensource:jing:jar:20091111:test
          \- xerces:xercesImpl:jar:2.9.1:test
             \- (xml-apis:xml-apis:jar:1.3.04:test - omitted for duplicate)